1. Moises Henriquez
  2. m0e-vabs

Commits

Moises Henriquez  committed 2c5910d Merge

Merge branch 'veclinux-7.1' of http://bitbucket.org/VLCore/vabs into veclinux-7.1

  • Participants
  • Parent commits 67f539c, 7804490
  • Branches veclinux-7.1

Comments (0)

Files changed (36)

File var/vabs/VL-ISO-STD/src/VL-ISO-STD.SlackBuild

View file
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"B2.1"}
+BUILDNUM=${BUILDNUM:-"B2.6"}
 VL_VERSION="STD"
-KERN="3.10.25"
+KERN="3.12.9"
 KERNBUILD="1vl71"
-PREV32ISO=${PREV32ISO:-"VL-7.1-STD-B2.iso"} #enter last iso, only if you want a delta generated.
-PREV64ISO=${PREV64ISO:-"VL64-7.1-STD-B2.iso"} #enter last iso, if you want a delta generated.
+PREV32ISO=${PREV32ISO:-"VL-7.1-STD-B2.5.iso"} #enter last iso, only if you want a delta generated.
+PREV64ISO=${PREV64ISO:-"VL64-7.1-STD-B2.5.iso"} #enter last iso, if you want a delta generated.
 CD32NAME="VL-${VERSION}-STD-$BUILDNUM.iso"
 CD64NAME="VL64-${VERSION}-STD-$BUILDNUM.iso"
 ARCH=${ARCH:-"$(uname -m)"}
 -b isolinux/isolinux.bin -c isolinux/isolinux.boot ISO
 
 cd $RELEASEDIR
+isohybrid $CDNAME
 md5sum $CDNAME >$CDNAME.md5sum.txt
 #######################################################################
 #Miscellenious tweaks and things outside a normal ./configure go here #

File var/vabs/flashplugin/src/flashplugin.SlackBuild

View file
 # AUTHORS = 
 
 NAME="flashplugin"            #Enter package Name!
-VERSION=${VERSION:-"11.2.202.327"}      #Enter package Version!
+VERSION=${VERSION:-"11.2.202.335"}      #Enter package Version!
 VER=$(echo $VERSION|sed 's/-/_/') #this fixes - in version
 VL_PACKAGER=${VL_PACKAGER:-"hata_ph"}   #Enter your Name!
 #LINK=${LINK:-""}  #Enter URL for package here!

File var/vabs/grub2/src/10_linux

View file
   cat << EOF
 menuentry "$1" {
 EOF
+  if test -n "${initrd}" ; then
   prepare_grub_to_access_device ${GRUB_DEVICE_BOOT} | sed -e "s/^/\t/"
   cat << EOF
 	linux16	${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro quiet splash vga=$VGA $2
 EOF
+  else
+  prepare_grub_to_access_device ${GRUB_DEVICE_BOOT} | sed -e "s/^/\t/"
+  cat << EOF
+	linux16	${rel_dirname}/${basename} root=${linux_root_device_thisversion} ro quiet vga=$VGA $2
+EOF
+  fi
   if test -n "${initrd}" ; then
     cat << EOF
 	initrd16 ${rel_dirname}/${initrd}

File var/vabs/gtk+2/src/gtk+2.SlackBuild

View file
 
 #SYSTEM VARIABLES
 #----------------------------------------------------------------------------
-BUILDNUM=${BUILDNUM:-"3"}
+BUILDNUM=${BUILDNUM:-"4"}
 VL_VERSION=${VL_VERSION:-"$(ls /var/log/packages/|grep vlconfig2|cut -d "-" -f4|cut -c 2-5)"}
 BUILD=${BUILD:-"$BUILDNUM""$VL_VERSION"}
 ARCH=${ARCH:-"$(uname -m)"}
 CONFIG_OPTIONS=${CONFIG_OPTIONS:-""}
 LDFLAG_OPTIONS=${LDFLAG_OPTIONS:-""}
-MAKEDEPENDS=${MAKEDEPENDS:-"harfbuzz linuxdoc-tools atk glib2 pango cairo gdk-pixbuf2 pixman libpng libtiff libjpeg xextproto inputproto xproto renderproto libICE libXi libXinerama libX11 kbproto libxcb libpthread-stubs libXau libXext gobject-introspection hicolor-icon-theme"} #Add make deps for packaging
+MAKEDEPENDS=${MAKEDEPENDS:-"cups harfbuzz linuxdoc-tools atk glib2 pango cairo gdk-pixbuf2 pixman libpng libtiff libjpeg xextproto inputproto xproto renderproto libICE libXi libXinerama libX11 kbproto libxcb libpthread-stubs libXau libXext gobject-introspection hicolor-icon-theme"} #Add make deps for packaging
 ADDRB=${ADDRB:-""} #Add deps that need to be added to the slack-required file here
 EXRB=${EXRB:-""} #Add deps that need to be excluded from the slack-required file here
 NUMJOBS=${NUMJOBS:-"-j6"}

File var/vabs/jdk/src/jdk.SlackBuild

View file
 #  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 
 NAME=jdk
-VERSION=${VERSION:-7u45}
-JDK_BUILD=b18
+VERSION=${VERSION:-7u51}
+JDK_BUILD=b13
 
 DVER=1.7.0_$(printf $VERSION | cut -du -f2)
 

File var/vabs/jre/src/jre.SlackBuild

View file
 # Note that the slack-desc file mentions the JRE version (edit when upgrading)!
 NAME=jre
 MAJOR=7
-VERSION=7u45
-JRE_BUILD=b18
-DVER=1.7.0_45
+VERSION=7u51
+JRE_BUILD=b13
+DVER=1.7.0_51
 
 #CFLAGS SETUP
 #--------------------------------------------

File var/vabs/kernel-3.10/src/config-32

View file
 # CONFIG_LOGO_LINUX_MONO is not set
 # CONFIG_LOGO_LINUX_VGA16 is not set
 CONFIG_LOGO_LINUX_CLUT224=y
+
+#
+# Bootsplash configuration
+#
+CONFIG_BOOTSPLASH=y
 CONFIG_SOUND=m
 CONFIG_SOUND_OSS_CORE=y
 CONFIG_SOUND_OSS_CORE_PRECLAIM=y

File var/vabs/kernel-3.10/src/config-64

View file
 # CONFIG_LOGO_LINUX_MONO is not set
 # CONFIG_LOGO_LINUX_VGA16 is not set
 CONFIG_LOGO_LINUX_CLUT224=y
+#
+# Bootsplash configuration
+#
+CONFIG_BOOTSPLASH=y
 CONFIG_SOUND=m
 CONFIG_SOUND_OSS_CORE=y
 CONFIG_SOUND_OSS_CORE_PRECLAIM=y

File var/vabs/kernel-3.10/src/kernel-3.10.SlackBuild

View file
 #!/bin/bash
 
 # ----------------------
-VER=3.10.25
+VER=3.10.28
 KERNEL=linux-$VER
 SQUASHFS_LATEST_KERNEL_PATCH=linux-2.6.24
 SQUASHFS=squashfs4.2
 cp $CURDIR/patches/405-world_regd_fixup.patch .
 patch -p1 <405-world_regd_fixup.patch || exit 1
 eecho "Patch8"
-#cp $CURDIR/patches/bootsplash-3.4.diff .
-#patch -p1 < bootsplash-3.4.diff || exit 1
+cp $CURDIR/patches/bootsplash-3.10.diff .
+patch -p1 < bootsplash-3.10.diff || exit 1
 #cp $CURDIR/patches/4200_fbcondecor-0.9.6.patch .
 #patch -p1 <4200_fbcondecor-0.9.6.patch || exit 1
 #eecho "Patch6"